local _f_WeaponFactoryTweakData_init = WeaponFactoryTweakData.init

function WeaponFactoryTweakData:init()
	_f_WeaponFactoryTweakData_init(self)
	self.parts.wpn_amcar_gl = {
		pcs = {},
		type = "custom",
		name_id = "bm_wp_amcar_gl",
		a_obj = "a_fl",
		unit = "units/mods/weapons/wpn_fps_ass_amcar_gl/wpn_fps_ass_amcar_gl",
		stats = {
			concealment= -20,
			suppression = -15,
			AMMO_PICKUP = {3, 9},
		},
		texture_bundle_folder = "mods",
		is_a_unlockable = true,
	}
	for k, v in pairs(self or {}) do
		if k ~= "parts" then
			local _npc_k = k .. "_npc"
			if self[_npc_k] and v.uses_parts and self[_npc_k].uses_parts then
				for _, v2 in pairs(v.uses_parts or {}) do
					if v2 == "wpn_fps_m4_uupg_b_medium_vanilla" then
						table.insert(self[k].uses_parts, "wpn_amcar_gl")
						table.insert(self[_npc_k].uses_parts, "wpn_amcar_gl")
						break
					end
				end
			end
		end
	end
end